Spreadsheet Cloud API: postWorkbookCalculateFormula

Calculate all formulas in the workbook.

Quick Start

Interface Details

Endpoint

POST http://api.aspose.cloud/v3.0/cells/{name}/calculateformula

Function Description

PageTitle: Calculate all formulas in the workbook.PageDescription: Aspose.Cells Cloud provides robust support for calculating all formulas in the workbook, a process known for its intricacy.HeadTitle: Calculate all formulas in the workbook.HeadSummary: Aspose.Cells Cloud provides robust support for calculating all formulas in the workbook, a process known for its intricacy.HeadContent: Aspose.Cells Cloud provides REST API which supports calculating all formulas in the workbook and offers SDKs for multiple programming languages. These programming languages are include of Net, Java, Go, NodeJS, Python, and so on.

The request parameters of postWorkbookCalculateFormula API are:

| Parameter Name | Type | Path/Query String/HTTPBody | Description | | :- | :- | :- |:- | |name|String|Path|The file name.| |options|Class|Body|CalculationOptions Calculation Options.| |ignoreError|Boolean|Query|ignore Error.| |folder|String|Query|The folder where the file is situated.| |storageName|String|Query|The storage name where the file is situated.|

Response Description

{
  "Name": "CellsCloudResponse",
  "Type": "Class",
  "IsAbstract": false,
  "Properties": [
    {
      "Name": "Code",
      "Nullable": true,
      "ReadOnly": false,
      "IsInherit": false,
      "DataType": {
        "Identifier": "Integer",
        "Name": "integer"
      }
    },
    {
      "Name": "Status",
      "Nullable": true,
      "ReadOnly": false,
      "IsInherit": false,
      "DataType": {
        "Identifier": "String",
        "Name": "string"
      }
    }
  ]
}

OpenAPI Specification

The OpenAPI Specification defines a publicly accessible programming interface and lets you carry out REST interactions directly from a web browser.

[Back to API list]
[Back to README]